<VirtualHost *:80>
    DocumentRoot /var/www/luxclean.xplants.net
    ServerName luxclean.xplants.net
    ServerAlias luxclean.xplants.net luxclean.xpl.io luxclean.xplants.org
    Alias "/WebObjects" "/var/www/WebObjects"
    Alias "/luxclean.xplants.net" "/var/www/luxclean.xplants.net"
	<Directory /var/www/luxclean.xplants.net>
		Options -Indexes +FollowSymLinks +MultiViews +Includes
		<IfModule mod_rewrite.c>
            RewriteEngine On
            RewriteRule ^cgi-bin/WebObjects(.*)$ /Apps/WebObjects$1 [L,NS]

            RewriteRule ^[/]?$ /Apps/WebObjects/Luxclean.woa/wa/viewSite?name=Luxclean [L,NS]
            RewriteRule ^admin$ /Apps/WebObjects/Luxclean.woa/wa/admin [L,NS]

            RewriteRule ^ita$ /Apps/WebObjects/Luxclean.woa/wa/viewSite?name=Luxclean&lang=ita [L,NS]
            RewriteRule ^it$ /Apps/WebObjects/Luxclean.woa/wa/viewSite?name=Luxclean&lang=ita [L,NS]

            RewriteRule ^eng$ /Apps/WebObjects/Luxclean.woa/wa/viewSite?name=Luxclean&lang=eng [L,NS]
            RewriteRule ^en$ /Apps/WebObjects/Luxclean.woa/wa/viewSite?name=Luxclean&lang=eng [L,NS]

            RewriteCond %{REQUEST_FILENAME} !-f
            RewriteCond %{REQUEST_FILENAME} !-d
            RewriteRule ^googleSiteMap.xml$ /Apps/WebObjects/Luxclean.woa/wa/googleSiteMap [L,NS]

            RewriteCond %{REQUEST_FILENAME} !-f
            RewriteCond %{REQUEST_FILENAME} !-d
            RewriteRule ^siteMap.xml$ /Apps/WebObjects/Luxclean.woa/wa/googleSiteMap [L,NS]

            RewriteCond %{REQUEST_FILENAME} !-f
            RewriteCond %{REQUEST_FILENAME} !-d
            RewriteRule ^sitemap.xml$ /Apps/WebObjects/Luxclean.woa/wa/googleSiteMap [L,NS]

            RewriteCond %{REQUEST_FILENAME} !-f
            RewriteCond %{REQUEST_FILENAME} !-d
            RewriteRule ^robots.txt$ /Apps/WebObjects/Luxclean.woa/wa/robots [L,NS]

            RewriteCond %{REQUEST_FILENAME} !-f
            RewriteCond %{REQUEST_FILENAME} !-d
            RewriteRule ^(.*)[/]?$ /Apps/WebObjects/Luxclean.woa/wa/rewrite?name=$1&%{QUERY_STRING} [L,NS]

            RewriteCond %{REQUEST_FILENAME} !-f
            RewriteCond %{REQUEST_FILENAME} !-d
            RewriteRule ^(.*)$ /Apps/WebObjects/Luxclean.woa/wa/rewrite?name=$1&%{QUERY_STRING} [L,NS]
        </IfModule>
		AllowOverride none
                Order allow,deny
                allow from all
        </Directory>
</VirtualHost>